--List the person number and total number of credits for all students.
--Students with no credits should be included in the list! [72]

DROP VIEW IF EXISTS StudentsCredits;

CREATE VIEW StudentsCredits AS
SELECT Students.pNbr, sum(credits) as totalCredits
FROM Students
JOIN TakenCourses ON Students.pNbr = TakenCourses.pNbr
JOIN Courses ON TakenCourses.courseCode = Courses.courseCode
GROUP BY Students.pNbr;

SELECT * FROM StudentsCredits ORDER BY totalCredits DESC;